# SPDX-License-Identifier: MIT

KOTAI_CODE_OFFSET=406 # 406 = (1628 / 4) - 1, 1628 = 0x65c

UBOOT_ENVSD="/dev/mmcblk1"
UBOOT_ENVOFFSET="0x3fe000"
UBOOT_ENVREDUND="0x3fa000"
UBOOT_ENVSIZE="0x2000"

get_motherboard_code() {
	read_fuse_nbyte 404 4
}

board_setup() {
	local MB_CODE=

	# reset hwrevision even if it's already set:
	# we could be installing to a newer revision.
	[ -n "$SN" ] || SN=$(get_kotai_code)
	case "$SN" in
	00E2*|00E3*)
		MB_CODE=$(get_motherboard_code)
		case "$MB_CODE" in
		0101*) echo 'iot-a9e at1';;
		*) echo 'armadillo-900 at1';;
		esac
		;;
	*) echo 'unknown-board at1';;
	esac > /target/etc/hwrevision \
		|| error "Could not update /etc/hwrevision"

	case "$MB_CODE/$SN" in
	*/00E2*|0101*/00E3*) # a9e
		enable_overlay armadillo_iotg_a9e.dtbo
		# a9e has sim7672 module
		enable_overlay armadillo_iotg_a9e-sim7672.dtbo
		;;
	*/00E3*) # a900 module
		;;
	esac
}
